libglom-1.24: Glom::TableInfo Class Reference

libglom-1.24 1.24.2

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Glom::TableInfo Class Reference
Inheritance diagram for Glom::TableInfo:
[legend]
Collaboration diagram for Glom::TableInfo:
[legend]

## Public Member Functions
| TableInfo ()
| TableInfo (const TableInfo& src)
TableInfo& | operator= (const TableInfo& src)
bool | get_hidden () const
| Returns true if this table should not be shown in the list of tables when in operator mode. More...
void | set_hidden (bool val=true)
| See get_default(). More...
bool | get_default () const
| Returns true if this table should be shown when the system is opened. More...
void | set_default (bool val=true)
| See get_default(). More...
Public Member Functions inherited from Glom::TranslatableItem
| TranslatableItem ()
| TranslatableItem (const TranslatableItem& src)
virtual | ~TranslatableItem ()
TranslatableItem& | operator= (const TranslatableItem& src)
bool | operator== (const TranslatableItem& src) const
bool | operator!= (const TranslatableItem& src) const
virtual void | set_name (const Glib::ustring& name)
| Set the non-translated identifier name. More...
virtual Glib::ustring | get_name () const
| Get the non-translated identifier name. More...
bool | get_name_not_empty () const
virtual Glib::ustring | get_title_or_name (const Glib::ustring& locale) const
virtual Glib::ustring | get_title (const Glib::ustring& locale) const
| Get the title's translation for the specified locale, falling back to the original text if there is no translation. More...
virtual Glib::ustring | get_title_original () const
| Get the title's original (non-translated, usually English) text. More...
Glib::ustring | get_title_translation (const Glib::ustring& locale, bool fallback=true) const
| Get the title's translation for the specified locale, optionally falling back to a locale of the same language, and then falling back to the original. More...
void | set_title (const Glib::ustring& title, const Glib::ustring& locale)
| Set the title's translation for the specified locale. More...
void | set_title_original (const Glib::ustring& title)
| Set the title's original (non-translated, usually English) text. More...
void | clear_title_in_all_locales ()
| Clear the original title and any translations of the title. More...
bool | get_has_translations () const
enumTranslatableItemType | get_translatable_item_type () const
Public Member Functions inherited from Glom::HasTitleSingular
| HasTitleSingular ()
| HasTitleSingular (const HasTitleSingular& src)
virtual | ~HasTitleSingular ()
HasTitleSingular& | operator= (const HasTitleSingular& src)
bool | operator== (const HasTitleSingular& src) const
bool | operator!= (const HasTitleSingular& src) const
Glib::ustring | get_title_singular (const Glib::ustring& locale) const
| Get the (translation of the) singular form of the title, in the current locale, if specified. More...
Glib::ustring | get_title_singular_original () const
| Get the title's original (non-translated, usually English) text. More...
Glib::ustring | get_title_singular_with_fallback (const Glib::ustring& locale) const
| Get the (translation of the) singular form of the title, in the current locale, if specified, falling back to the non-singular title, and then falling back to the table name. More...
void | set_title_singular (const Glib::ustring& title, const Glib::ustring& locale)
| Set the singular title's translation for the current locale. More...

## Additional Inherited Members
Public Types inherited from Glom::TranslatableItem
enum | enumTranslatableItemType { TRANSLATABLE_TYPE_INVALID, TRANSLATABLE_TYPE_FIELD, TRANSLATABLE_TYPE_RELATIONSHIP, TRANSLATABLE_TYPE_LAYOUT_ITEM, TRANSLATABLE_TYPE_CUSTOM_TITLE, TRANSLATABLE_TYPE_PRINT_LAYOUT, TRANSLATABLE_TYPE_REPORT, TRANSLATABLE_TYPE_TABLE, TRANSLATABLE_TYPE_BUTTON, TRANSLATABLE_TYPE_TEXTOBJECT, TRANSLATABLE_TYPE_IMAGEOBJECT, TRANSLATABLE_TYPE_CHOICEVALUE, TRANSLATABLE_TYPE_DATABASE_TITLE, TRANSLATABLE_TYPE_STATIC_TEXT }
typedef std::map < Glib::ustring, Glib::ustring > | type_map_locale_to_translations
Static Public Member Functions inherited from Glom::TranslatableItem
static Glib::ustring | get_translatable_type_name (enumTranslatableItemType item_type)
static Glib::ustring | get_translatable_type_name_nontranslated (enumTranslatableItemType item_type)
| The non-translated name is used for the context in gettext .po files. More...
Public Attributes inherited from Glom::HasTitleSingular
sharedptr< TranslatableItem > | m_title_singular
| For instance, "Customer" if the table is titled "Customers". More...
Protected Attributes inherited from Glom::TranslatableItem
enumTranslatableItemType | m_translatable_item_type

## Constructor & Destructor Documentation

Glom::TableInfo::TableInfo | ( |  | ) |

Glom::TableInfo::TableInfo | ( | const TableInfo& | src | ) |

## Member Function Documentation

bool Glom::TableInfo::get_default | ( |  | ) | const

Returns true if this table should be shown when the system is opened.

Only one table can be the default table.

bool Glom::TableInfo::get_hidden | ( |  | ) | const

Returns true if this table should not be shown in the list of tables when in operator mode.

TableInfo& Glom::TableInfo::operator= | ( | const TableInfo& | src | ) |

void Glom::TableInfo::set_default | ( | bool | val = `true` | ) |

See get_default().

void Glom::TableInfo::set_hidden | ( | bool | val = `true` | ) |

See get_default().

The documentation for this class was generated from the following file:

- libglom/data_structure/tableinfo.h